Package com.sun.jna.platform.win32

## Class Sspi.SEC_WINNT_AUTH_IDENTITY

- java.lang.Object
- - com.sun.jna.Structure
  - - com.sun.jna.platform.win32.Sspi.SEC_WINNT_AUTH_IDENTITY

- Enclosing interface:
    Sspi

      @FieldOrder({"User","UserLength","Domain","DomainLength","Password","PasswordLength","Flags"})
      public static class Sspi.SEC_WINNT_AUTH_IDENTITY
      extends Structure

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.sun.jna.Structure

      `Structure.ByReference, Structure.ByValue, Structure.FieldOrder, Structure.StructField`

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `java.lang.String` | `Domain` | A string that contains the domain name or the workgroup name.
    `int` | `DomainLength` | The length, in characters, of the domain string, not including the terminating null character.
    `int` | `Flags` | This member can be one of the following values.
    `java.lang.String` | `Password` | A string that contains the password of the user in the domain or workgroup.
    `int` | `PasswordLength` | The length, in characters, of the password string, not including the terminating null character.
    `java.lang.String` | `User` | A string that contains the user name.
    `int` | `UserLength` | The length, in characters, of the user string, not including the terminating null character.

    - ### Fields inherited from class com.sun.jna.Structure

      `ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SEC_WINNT_AUTH_IDENTITY()` | Create a new SecBufferDesc with one SECBUFFER_EMPTY buffer.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `write()` | Writes the fields of the struct to native memory

    - ### Methods inherited from class com.sun.jna.Structure

      `allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, writeField, writeField, writeField`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### User

          public java.lang.String User

      A string that contains the user name.

    - #### UserLength

          public int UserLength

      The length, in characters, of the user string, not including the terminating null character.

    - #### Domain

          public java.lang.String Domain

      A string that contains the domain name or the workgroup name.

    - #### DomainLength

          public int DomainLength

      The length, in characters, of the domain string, not including the terminating null character.

    - #### Password

          public java.lang.String Password

      A string that contains the password of the user in the domain or workgroup. When you have finished using the password, remove the sensitive information from memory by calling SecureZeroMemory. For more information about protecting the password, see Handling Passwords.

    - #### PasswordLength

          public int PasswordLength

      The length, in characters, of the password string, not including the terminating null character.

    - #### Flags

          public int Flags

      This member can be one of the following values.

      Value | Meaning
      --- | ---
      SEC_WINNT_AUTH_IDENTITY_ANSI | The strings in this structure are in ANSI format.
      SEC_WINNT_AUTH_IDENTITY_UNICODE | The strings in this structure are in Unicode format.

      As the string encoding is managed by JNA do not change this value!

  - ### Constructor Detail

    - #### SEC_WINNT_AUTH_IDENTITY

          public SEC_WINNT_AUTH_IDENTITY()

      Create a new SecBufferDesc with one SECBUFFER_EMPTY buffer.

  - ### Method Detail

    - #### write

          public void write()

      Description copied from class: `Structure`
      Writes the fields of the struct to native memory
      Overrides:
        `write` in class `Structure`